vmware/virtualbox kernel modules not loaded by default

Bug #1039157 reported by Barry Warsaw on 2012-08-20
50
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Linux
Invalid
Unknown
linux (Debian)
Fix Released
Unknown
linux (Ubuntu)
Critical
Tim Gardner
Lucid
Undecided
Tim Gardner
Oneiric
Undecided
Tim Gardner
Precise
Undecided
Tim Gardner
Quantal
Critical
Tim Gardner

Bug Description

LP: #1039097 describes a problem with very tiny fonts on the login page. Somehow I managed to get logged into the desktop and after readjusting the monitor display level I have normal sized fonts (though afaict, not on the login page still). However, now I get lots of corruption in windows, with odd repainting, left over crud when windows are cycled forward, and no repaints of dialogs until the cursor moves over the window.

All of this started happening with the latest (i.e. today's) updates to 12.10. Yesterday, running 12.10 on the same machine worked just fine. As described in LP: #1039097, this is in a 12.10 guest running in Fusion 4.1 on OS X 10.6. I do have 3D acceleration enabled for the guest.

Errors from the Xorg.0.log:
[ 13.368] (EE) open /dev/fb0: No such file or directory
[ 13.737] (EE) vmware(0): Failed to open drm.

(EE) BUG: triggered 'if (inSignalContext)'
(EE) BUG: ../../os/log.c:472 in LogVMessageVerb()
(EE) Warning: attempting to log data in a signal unsafe manner while in signal context. Please update to check inSignalContext and/or use LogMessageVerbSigSafe() or ErrorFSigSafe(). The offending log format message is:
VMWARE(0): vmmouse enable absolute mode

(EE)
(EE) Backtrace:
(EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7f2ceb9628a6]
(EE) 1: /usr/bin/X (LogVMessageVerb+0x8c) [0x7f2ceb96daac]
(EE) 2: /usr/bin/X (xf86Msg+0x8f) [0x7f2ceb85a36f]
(EE) 3: /usr/lib/xorg/modules/input/vmmouse_drv.so (0x7f2cdbfde000+0x191f) [0x7f2cdbfdf91f]
(EE) 4: /usr/bin/X (0x7f2ceb7ba000+0x93657) [0x7f2ceb84d657]
(EE) 5: /usr/bin/X (0x7f2ceb7ba000+0xbcca8) [0x7f2ceb876ca8]
(EE) 6: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f2ceaae0000+0xfcb0) [0x7f2ceaaefcb0]
(EE) 7: /lib/x86_64-linux-gnu/libc.so.6 (__select+0x13) [0x7f2ce98316e3]
(EE) 8: /usr/bin/X (WaitForSomething+0x190) [0x7f2ceb95fcd0]
(EE) 9: /usr/bin/X (0x7f2ceb7ba000+0x55791) [0x7f2ceb80f791]
(EE) 10: /usr/bin/X (0x7f2ceb7ba000+0x4455a) [0x7f2ceb7fe55a]
(EE) 11: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7f2ce976776d]
(EE) 12: /usr/bin/X (0x7f2ceb7ba000+0x4489d) [0x7f2ceb7fe89d]
(EE)

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: xorg 1:7.7+1ubuntu1
ProcVersionSignature: Ubuntu 3.5.0-11.11-generic 3.5.2
Uname: Linux 3.5.0-11-generic x86_64
.tmp.unity.support.test.1:

ApportVersion: 2.4-0ubuntu8
Architecture: amd64
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
CompositorRunning: compiz
CurrentDmesg:
 [ 14.705756] init: plymouth-upstart-bridge main process (563) killed by TERM signal
 [ 15.555902] init: plymouth-stop pre-start process (1624) terminated with status 1
 [ 34.762079] end_request: I/O error, dev fd0, sector 0
 [ 34.789103] end_request: I/O error, dev fd0, sector 0
Date: Mon Aug 20 14:08:37 2012
DistUpgraded: Fresh install
DistroCodename: quantal
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes,
GraphicsCard:
 VMware SVGA II Adapter [15ad:0405] (prog-if 00 [VGA controller])
   Subsystem: VMware SVGA II Adapter [15ad:0405]
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64 (20120709.1)
Lsusb:
 Bus 002 Device 002: ID 0e0f:0003 VMware, Inc. Virtual Mouse
 Bus 002 Device 003: ID 0e0f:0002 VMware, Inc. Virtual USB Hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 004: ID 0e0f:0008 VMware, Inc.
MachineType: VMware, Inc. VMware Virtual Platform
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-11-generic root=UUID=175800e0-cc7f-4820-8df3-7ae1df07f80e ro quiet splash
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/02/2011
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: 6.00
dmi.board.name: 440BX Desktop Reference Platform
dmi.board.vendor: Intel Corporation
dmi.board.version: None
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 1
dmi.chassis.vendor: No Enclosure
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvr6.00:bd06/02/2011:svnVMware,Inc.:pnVMwareVirtualPlatform:pvrNone:rvnIntelCorporation:rn440BXDesktopReferencePlatform:rvrNone:cvnNoEnclosure:ct1:cvrN/A:
dmi.product.name: VMware Virtual Platform
dmi.product.version: None
dmi.sys.vendor: VMware, Inc.
version.compiz: compiz 1:0.9.8+bzr3249-0ubuntu4
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.38-0ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.4-1ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.4-1ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.12.99.904-0ubuntu1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.99.99~git20120713.6ef1ad6a-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.20.3-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.1-4~ubuntu1

Barry Warsaw (barry) wrote :
Logan Rosen (logan) wrote :

This is probably due to the Unity 2D to LLVMpipe transition, and thus it's probably a duplicate of Bug 1021104. Please confirm this by running:
> glxinfo | grep OpenGL

and pasting the output here.

Barry Warsaw (barry) wrote :

I get no output (i.e. the grep doesn't match anything)

Bryce Harrington (bryce) on 2012-08-20
description: updated
Barry Warsaw (barry) wrote :

As requested.

Bryce Harrington (bryce) wrote :

Thanks. So a few problems:

OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 0x300)

#1 is that you're getting software rendering when you should (I gather) be getting hardware.

#2 is why isn't llvmpipe working better? Even with SW rendering you shouldn't be seeing glitchy graphics.

[ 13.368] (EE) open /dev/fb0: No such file or directory
[ 13.737] (EE) vmware(0): Failed to open drm.
[ 13.737] (WW) vmware(0): Disabling 3D support.
[ 13.737] (WW) vmware(0): Disabling Render Acceleration.
[ 13.737] (WW) vmware(0): Disabling RandR12+ support.

#3 is why is there no drm? Presumably with drm you'd have 3D.

[ 13.364] (EE) Failed to load module "modesetting" (module does not exist, 0)

#4 why can't it find the modesetting driver?

Barry Warsaw (barry) wrote :

Until the update which broke this, it definitely *felt* like I had 3D working. Various animations and most noticeably Gnome Do, but it's definitely not working now. Disabling 3D acceleration in Fusion and restarting the guest shows the same corruption, tiny font problem, etc. So I think you're right that multiple things are going on.

Happy to continue debugging this in any way necessary to help y'all fix it!

Bryce Harrington (bryce) wrote :

Answer to #4 is that it's not installed by default. tjaalton says it wouldn't be needed in this case anyway.

#2 may be the same as #1021104.

#1 is because of #3.

#3 is because vmware-tools is not building, which presumably means that it needs updated to work with the new X stack. We've pinged Prf_Jakob who works with us on vmware updates. Can you attach the build errors you're getting? We'll focus this bug report on that issue.

affects: xorg (Ubuntu) → xserver-xorg-video-vmware (Ubuntu)
Changed in xserver-xorg-video-vmware (Ubuntu):
importance: Undecided → Critical
status: New → Incomplete
Robert Hooker (sarvatt) on 2012-08-20
description: updated
Barry Warsaw (barry) wrote :

As an intermediate step, according to this page https://help.ubuntu.com/community/VMware/Tools I installed the open-vm-tools package. That seemed to go okay, but it still doesn't look like I'm using 3D:

grep -i open /tmp/glxinfo.txt
OpenGL vendor string: VMware, Inc.
OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 0x300)
OpenGL version string: 2.1 Mesa 8.0.4
OpenGL shading language version string: 1.20
OpenGL extensions:

and indeed I'm still getting the window corruption.

Robert Hooker (sarvatt) wrote :

Can you grab the full dmesg when it's in a messed up state, or attach /var/log/kern.log? For some reason apport decided not to include CurrentDmesg.txt which would show any problems while loading the vmwgfx kernel module. vmwgfx is upstream and not in the tools, hopefully whatever it stopping it from loading and causing you to use fallback drivers will show up there.

Barry Warsaw (barry) wrote :

Now, I went back and ran vmware-install.pl and it seemed to build, however I got this message:

Distribution provided drivers for Xorg X server are used.

Skipping X configuration because X drivers are not included.

A reboot still gives me the tiny fonts, although the text is a bit more readable.

I get the same glxinfo output so it looks like this didn't help me get actual 3d acceleration. Suggestions?

Changed in xserver-xorg-video-vmware (Ubuntu):
status: Incomplete → New
Barry Warsaw (barry) wrote :
Barry Warsaw (barry) wrote :
Barry Warsaw (barry) wrote :

Files attached as requested.

Robert Hooker (sarvatt) wrote :

Just to rule out a kernel problem, can you boot 3.5.0-10 again to see if it works since that was the last one where vmwgfx was loaded?

Barry Warsaw (barry) wrote :

Hi Robert, 3.5.0-10 exhibits the same problems.

Barry Warsaw (barry) wrote :

So, with Prf_Jakob's help, I added vmwgfx to /etc/modules and rebooted. That gave me 3d, no tiny fonts on lightdm, and no llvmpipe based corruptions. So that's a great workaround, but why isn't vmwgfx being loaded automatically?

% grep -i 3d /var/log/Xorg.0.log
[ 8.737] (II) vmware(0): Gallium3D XA version: 1.0.0.
[ 8.737] (--) vmware(0): Direct rendering (3D) is enabled.

% grep -i open /tmp/glxinfo.txt
OpenGL vendor string: VMware, Inc.
OpenGL renderer string: Gallium 0.4 on SVGA3D; build: RELEASE;
OpenGL version string: 2.1 Mesa 8.0.4
OpenGL shading language version string: 1.20
OpenGL extensions:

% lsmod | grep vmwgfx
vmwgfx 121226 3
ttm 83595 1 vmwgfx
drm 275528 4 vmwgfx,ttm

Barry Warsaw (barry) on 2012-08-21
summary: - X problems in Fusion guest
+ vmwgfx kernel module not loaded by default

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-vmware (Ubuntu):
status: New → Confirmed
Tim (darkxst) wrote :

I am seeing this as well, while its not a huge issue on a desktop system, as can easily workaround via adding to /etc/modules. Its a big problem on the LiveCD's that fail to load vmwgfx (even if I pass in loadmodules=vmwgfx, via grub boot options)

Tim (darkxst) wrote :

A couple of other observations

`modinfo vmwgfx`, does not return any modalias' for this driver.

I can't see anything in any of the logs to even suggest that the kernel made any attempt to load vmwgfx.

Tim (darkxst) wrote :

Also, shouldnt this be filed against the kernel? its not a problem with the Xorg driver, but the kernel drm driver.

Tim (darkxst) on 2012-09-05
affects: xserver-xorg-video-vmware (Ubuntu) → linux-meta (Ubuntu)
affects: linux-meta (Ubuntu) → linux (Ubuntu)
Tim (darkxst) on 2012-09-05
Changed in xserver-xorg-video-vmware (Ubuntu):
status: New → Confirmed
tags: added: kernel-da-key kernel-key
Joseph Salisbury (jsalisbury) wrote :

@Barry,

Was there a prior kernel version that did not have this issue?

I see that the vmwgfx driver is configured to be a module in the kernel config file:
config.common.ubuntu:CONFIG_DRM_VMWGFX=m

Can you also attach your /var/log/syslog file?

One additional request, can you test the latest mainline kernel[0]?

Thanks in advance

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc4-quantal/

Tim Gardner (timg-tpi) wrote :

Barry - its not clear if the attached kern.log in comment #11 is after you've added vmwgfx to /etc/modules. At any rate, that module is getting loaded about 20 seconds into the boot:

[ 20.863814] [drm] Initialized vmwgfx 2.4.0 20120209 for 0000:00:0f.0 on minor 0

The vmwgfx module is a PCI device driver and should get auto-loaded by udev when it sees the PCI device ID 0x15ad:0x0405 which I can see from your lspci.txt:

00:0f.0 VGA compatible controller [0300]: VMware SVGA II Adapter [15ad:0405] (prog-if 00 [VGA controller])

Have you made any external updates to VMware or OS/X ?

Also please try 'grep -i vmwgfx /lib/modules/`uname -r`/modules*'

Hi Tim,

On Sep 05, 2012, at 04:54 PM, Tim Gardner wrote:

>Barry - its not clear if the attached kern.log in comment #11 is after
>you've added vmwgfx to /etc/modules. At any rate, that module is getting
>loaded about 20 seconds into the boot:
>
>[ 20.863814] [drm] Initialized vmwgfx 2.4.0 20120209 for 0000:00:0f.0
>on minor 0
>
>The vmwgfx module is a PCI device driver and should get auto-loaded by
>udev when it sees the PCI device ID 0x15ad:0x0405 which I can see from
>your lspci.txt:
>
>00:0f.0 VGA compatible controller [0300]: VMware SVGA II Adapter
>[15ad:0405] (prog-if 00 [VGA controller])

I don't remember actually, but I just disabled the /etc/modules entry and
rebooted. I'll attach my full kern.log, but here are some useful information:

% grep -i vmwgfx /var/log/kern.log
Sep 4 11:40:18 resist kernel: [ 7.393370] [drm] Initialized vmwgfx 2.4.0 20120209 for 0000:00:0f.0 on minor 0

% glxinfo | grep -i open
OpenGL vendor string: VMware, Inc.
OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 0x301)
OpenGL version string: 2.1 Mesa 8.1-devel
OpenGL shading language version string: 1.20
OpenGL extensions:

% lsmod | grep vmwgfx
(no output)

% lspci | grep -i vga
00:0f.0 VGA compatible controller: VMware SVGA II Adapter

% uname -a
Linux resist 3.5.0-13-generic #14-Ubuntu SMP Wed Aug 29 16:48:44 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

That kern.log hit is from yesterday, so definitely when I had the /etc/modules
line enabled. No hit from the reboot today, and the use of llvmpipe clearly
shows that the module isn't getting loaded by default.

>Have you made any external updates to VMware or OS/X ?

No. I'm still running Fusion 4.1.3 (build 730298) though I am considering
upgrading to Fusion 5.0 which was recently released. Host is running OS X
10.6.8.

>Also please try 'grep -i vmwgfx /lib/modules/`uname -r`/modules*'

% grep -i vmwgfx /lib/modules/`uname -r`/modules*
/lib/modules/3.5.0-13-generic/modules.dep:kernel/drivers/gpu/drm/vmwgfx/vmwgfx.ko: kernel/drivers/gpu/drm/ttm/ttm.ko kernel/drivers/gpu/drm/drm.ko
Binary file /lib/modules/3.5.0-13-generic/modules.dep.bin matches
/lib/modules/3.5.0-13-generic/modules.order:kernel/drivers/gpu/drm/vmwgfx/vmwgfx.ko

Barry Warsaw (barry) wrote :
  • syslog Edit (355.8 KiB, application/octet-stream; name=syslog)

On Sep 05, 2012, at 03:11 PM, Joseph Salisbury wrote:

>Was there a prior kernel version that did not have this issue?

Yes, but I can't remember exactly which version this broke on. It definitely
worked all through 12.04 and in 12.10 up until whatever upgrade I happened to
do on-or-about 2012-08-20 (when I filed the bug). I'm pretty diligent about
doing once or twice daily upgrades on this machine, so it couldn't have been
much past when the failure started to occur.

From the bug report, it looks like the failure started happening at about
3.5.0-11.11-generic.

>I see that the vmwgfx driver is configured to be a module in the kernel config file:
>config.common.ubuntu:CONFIG_DRM_VMWGFX=m
>
>Can you also attach your /var/log/syslog file?

See attached. Note from my previous comment that this is after a reboot
disabling the /etc/modules entry.

>One additional request, can you test the latest mainline kernel[0]?
>
>Thanks in advance
>
>[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc4-quantal/

Yep, I'll give those a shot and report back.

FWIW, the 3.6.0-030600rc4-generic kernel seems supremely unhappy. No graphics at all.

Tim (darkxst) wrote :

I am attaching some logs from a clean boot off the live CD. vmwgfx has not been added to /etc/modules

Tim (darkxst) wrote :
Tim (darkxst) wrote :

I tested a few of the older mainline kernels going right back to 3.4.0, and vmwgfx fails to auto-load on all of the ones I tested.

Tim (darkxst) wrote :

vmwgfx does not export modalias, I found this patch

https://patchwork.kernel.org/patch/1379071/

Tim (darkxst) wrote :

Rebuilt kernel with the above patch, I can confirm that vmwgfx does get loaded by udev now on boot.

Tim (darkxst) wrote :

exactly the same issue on virtualbox, it also requires a similar patch (albeit in a different package)

Tim (darkxst) wrote :

Here is a patch against virtualbox-guest-dkms, that fixes the udev loading of vboxvideo at boot.

Tim (darkxst) wrote :

The attachment "vbox.patch" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-reviewers team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Tim Gardner (timg-tpi) on 2012-09-06
Changed in linux (Ubuntu Precise):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress

Tim (darkxst) - good catch. I've applied the patch in #34 with minor formatting changes.

Changed in linux (Ubuntu Quantal):
assignee: nobody → Tim Gardner (timg-tpi)
status: Confirmed → Fix Committed
Tim Gardner (timg-tpi) on 2012-09-06
Changed in linux (Ubuntu Lucid):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in linux (Ubuntu Oneiric):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-14.15

---------------
linux (3.5.0-14.15) quantal-proposed; urgency=low

  [ Andy Whitcroft ]

  * SAUCE: fs: d_revalidate methods may be passed a NULL nameidata
    - LP: #1038075

  [ Dave Airlie ]

  * SAUCE: drm/vmwgfx: add MODULE_DEVICE_TABLE so vmwgfx loads at boot
    - LP: #1039157

  [ Ike Panhc ]

  * [Config] Enable CONFIG_DEVPTS_MULTIPLE_INSTANCES for highbank
    - LP: #1038259

  [ Tim Gardner ]

  * SAUCE: wlcore: Declare MODULE_FIRMWARE usage
    - LP: #1042918

  [ Upstream Kernel Changes ]

  * asus-nb-wmi: add some video toggle keys
    - LP: #1022427
  * [media] uvcvideo: Fix frame drop in bulk video stream
  * [media] uvcvideo: Fix alternate setting selection
  * Input: wacom - add support to Cintiq 22HD
    - LP: #1043733
  * ALSA: HDA: Create phantom jacks for fixed inputs and outputs
  * ALSA: HDA: Support single 3-pin jack without VREF on the actual pin
    - LP: #1018262
  * ALSA: hda - give 3-pin jack the name "Headphone Mic Jack"
  * ALSA: hda - Do not set GPIOs for speakers on IDT if there are no
    speakers
    - LP: #1040077
  * ALSA: hda - Fix pop noise in headphones on S3 for Asus X55A, X55V
    - LP: #1034779
  * ALSA: hda - Always call standard unsolicited event for Realtek codecs
    - LP: #1021192
  * ALSA: hda - Add the inverted digital mic workaround to Realtek codecs
  * ALSA: hda - Add inverted mic quirks for Asus U41SV, Acer 1810TZ and
    AOD260
    - LP: #1006089, #996611, #997227
  * ALSA: hda - don't create dysfunctional mixer controls for ca0132
    - LP: #1038651
  * ALSA: hda - Don't send invalid volume knob command on IDT 92hd75bxx
 -- Leann Ogasawara <email address hidden> Thu, 06 Sep 2012 10:06:28 -0700

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
Tim (darkxst) on 2012-09-08
summary: - vmwgfx kernel module not loaded by default
+ vmware/virtualbox kernel modules not loaded by default
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Precise in -proposed solves the problem (3.2.0-31.50). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
Changed in linux:
status: Unknown → New
Changed in linux (Debian):
status: Unknown → New
Didier Roche (didrocks) on 2012-09-11
no longer affects: virtualbox-guest-additions (Ubuntu)
no longer affects: xserver-xorg-video-vmware (Ubuntu)
no longer affects: virtualbox-guest-additions (Ubuntu Quantal)
no longer affects: xserver-xorg-video-vmware (Ubuntu Quantal)
Tim Gardner (timg-tpi) on 2012-09-11
Changed in linux (Ubuntu Precise):
status: In Progress → Fix Committed
Tim Gardner (timg-tpi) on 2012-09-11
Changed in linux (Ubuntu Oneiric):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Lucid):
status: In Progress → Fix Committed
Barry Warsaw (barry) wrote :

I can't test -proposed because this bug never happened for me before Quantal, and I don't have a pre-Quantal VM handy (and not enough disk space to easily spin up a new guest). However, I did a full upgrade on my Quantal VM, removed the /etc/modules workaround and the module got properly loaded on boot. glxinfo confirms I'm not using llvmpipe, so I believe at least for 12.10, this bug has been fixed.

Tim Gardner (timg-tpi) on 2012-09-11
tags: added: verification-done-precise
removed: verification-needed-precise

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

tags: removed: kernel-key
Timo Aaltonen (tjaalton) on 2012-09-20
no longer affects: xserver-xorg-video-vmware (Ubuntu Lucid)
no longer affects: xserver-xorg-video-vmware (Ubuntu Oneiric)
no longer affects: xserver-xorg-video-vmware (Ubuntu Precise)
no longer affects: virtualbox-guest-additions (Ubuntu Lucid)
no longer affects: virtualbox-guest-additions (Ubuntu Oneiric)
no longer affects: virtualbox-guest-additions (Ubuntu Precise)
Launchpad Janitor (janitor) wrote :
Download full text (5.5 KiB)

This bug was fixed in the package linux - 3.2.0-31.50

---------------
linux (3.2.0-31.50) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1047242

  [ Dave Airlie ]

  * SAUCE: drm/vmwgfx: add MODULE_DEVICE_TABLE so vmwgfx loads at boot
    - LP: #1039157

  [ Kamal Mostafa ]

  * SAUCE: input: Cypress PS/2 Trackpad move PSMOUSE_CYPRESS enum
    - LP: #1041594

linux (3.2.0-31.49) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1046216

  [ Cypress Semiconductor Corporation ]

  * SAUCE: input: Cypress PS/2 Trackpad mouse driver
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad link driver into psmouse-base
    - LP: #978807

  [ Ike Panhc ]

  * [Config] Enable CONFIG_DEVPTS_MULTIPLE_INSTANCES for highbank
    - LP: #1038259

  [ Kamal Mostafa ]

  * SAUCE: input: Cypress PS/2 Trackpad code style cleanup
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad eliminate dead code
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad fix no-config stubs
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad set default debug_level=0
    - LP: #978807

  [ Stefan Bader ]

  * Revert "SAUCE: fix pv-ops for legacy Xen"
    - LP: #1044550
  * SAUCE: Force xsave off on older Xen hypervisors
    - LP: #1044550

  [ Tim Gardner ]

  * [Config] Add smsc{79}5xx to nic-usb-modules
    - LP: #1041397

  [ Upstream Kernel Changes ]

  * Revert "samsung-laptop: make the dmi check less strict"
    - LP: #1028151
  * rds: set correct msg_namelen
    - LP: #1031112
    - CVE-2012-3430
  * bnx2: Fix bug in bnx2_free_tx_skbs().
    - LP: #1039087
  * sch_sfb: Fix missing NULL check
    - LP: #1039087
  * sctp: Fix list corruption resulting from freeing an association on a
    list
    - LP: #1039087
  * caif: Fix access to freed pernet memory
    - LP: #1039087
  * cipso: don't follow a NULL pointer when setsockopt() is called
    - LP: #1039087
  * caif: fix NULL pointer check
    - LP: #1039087
  * wanmain: comparing array with NULL
    - LP: #1039087
  * tcp: Add TCP_USER_TIMEOUT negative value check
    - LP: #1039087
  * USB: kaweth.c: use GFP_ATOMIC under spin_lock
    - LP: #1039087
  * net: fix rtnetlink IFF_PROMISC and IFF_ALLMULTI handling
    - LP: #1039087
  * tcp: perform DMA to userspace only if there is a task waiting for it
    - LP: #1039087
  * net/tun: fix ioctl() based info leaks
    - LP: #1039087
  * e1000: add dropped DMA receive enable back in for WoL
    - LP: #1039087
  * rtlwifi: rtl8192cu: Change buffer allocation for synchronous reads
    - LP: #1039087
  * hfsplus: fix overflow in sector calculations in hfsplus_submit_bio
    - LP: #1039087
  * drm/i915: fixup seqno allocation logic for lazy_request
    - LP: #1039087
  * mac80211: cancel mesh path timer
    - LP: #1039087
  * ath9k: Add PID/VID support for AR1111
    - LP: #1039087
  * ARM: mxs: Remove MMAP_MIN_ADDR setting from mxs_defconfig
    - LP: #1039087
  * ALSA: hda - add dock support for Thinkpad T430s
    - LP: #1039087
  * cfg80211: process pending events when unregistering net device
    - LP: #1039087
  * rt61pci: fix NULL pointer dereference in config_lna_gain
    - LP: #...

Read more...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Luis Henriques (henrix) wrote :

This bug can't be verified in Lucid as the vmwgfx driver is not built. However, the fix can be useful for anyone building their own kernels with this driver enabled. For this reason, I'm tagging the bug as verified in Lucid.

tags: added: verification-done-lucid verification-done-oneiric
Changed in linux:
status: New → Invalid
Launchpad Janitor (janitor) wrote :
Download full text (4.4 KiB)

This bug was fixed in the package linux - 3.0.0-26.43

---------------
linux (3.0.0-26.43) oneiric-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1055532

  [ Dave Airlie ]

  * SAUCE: drm/vmwgfx: add MODULE_DEVICE_TABLE so vmwgfx loads at boot
    - LP: #1039157

  [ Stefan Bader ]

  * Revert "SAUCE: fix pv-ops for legacy Xen"
    - LP: #1044550

  [ Upstream Kernel Changes ]

  * KVM: Fix buffer overflow in kvm_set_irq()
    - LP: #1016298
    - CVE-2012-2137
  * VFS : mount lock scalability for internal mounts
    - LP: #990365
    - CVE-2012-2127
  * procfs: fix a vfsmount longterm reference leak
    - LP: #990365
    - CVE-2012-2127
  * eCryptfs: Copy up attributes of the lower target inode after rename
    - LP: #561129
  * eCryptfs: Write out all dirty pages just before releasing the lower
    file
    - LP: #1047261
  * eCryptfs: Call lower ->flush() from ecryptfs_flush()
    - LP: #1047261
  * USB: vt6656: remove __devinit* from the struct usb_device_id table
    - LP: #1052005
  * USB: emi62: remove __devinit* from the struct usb_device_id table
    - LP: #1052005
  * ALSA: hda - fix Copyright debug message
    - LP: #1052005
  * ARM: 7487/1: mm: avoid setting nG bit for user mappings that aren't
    present
    - LP: #1052005
  * ARM: 7488/1: mm: use 5 bits for swapfile type encoding
    - LP: #1052005
  * ARM: 7489/1: errata: fix workaround for erratum #720789 on UP systems
    - LP: #1052005
  * ARM: S3C24XX: Fix s3c2410_dma_enqueue parameters
    - LP: #1052005
  * ARM: imx: select CPU_FREQ_TABLE when needed
    - LP: #1052005
  * ASoC: wm9712: Fix microphone source selection
    - LP: #1052005
  * vfs: missed source of ->f_pos races
    - LP: #1052005
  * vfs: canonicalize create mode in build_open_flags()
    - LP: #1052005
  * alpha: Don't export SOCK_NONBLOCK to user space.
    - LP: #1052005
  * USB: winbond: remove __devinit* from the struct usb_device_id table
    - LP: #1052005
  * mm: hugetlbfs: correctly populate shared pmd
    - LP: #1052005
  * NFSv3: Ensure that do_proc_get_root() reports errors correctly
    - LP: #1052005
  * NFSv4.1: Remove a bogus BUG_ON() in nfs4_layoutreturn_done
    - LP: #1052005
  * NFS: Alias the nfs module to nfs4
    - LP: #1052005
  * audit: don't free_chunk() after fsnotify_add_mark()
    - LP: #1052005
  * audit: fix refcounting in audit-tree
    - LP: #1052005
  * svcrpc: fix BUG() in svc_tcp_clear_pages
    - LP: #1052005
  * svcrpc: fix svc_xprt_enqueue/svc_recv busy-looping
    - LP: #1052005
  * svcrpc: sends on closed socket should stop immediately
    - LP: #1052005
  * cciss: fix incorrect scsi status reporting
    - LP: #1052005
  * ACPI: export symbol acpi_get_table_with_size
    - LP: #1052005
  * ath9k: fix decrypt_error initialization in ath_rx_tasklet()
    - LP: #1052005
  * PCI: EHCI: Fix crash during hibernation on ASUS computers
    - LP: #1052005
  * block: replace __getblk_slow misfix by grow_dev_page fix
    - LP: #1052005
  * USB: spca506: remove __devinit* from the struct usb_device_id table
    - LP: #1052005
  * USB: p54usb: remove __devinit* from the struct usb_device_id table
    - LP: #1052005
  * USB: rtl8187: remove __devi...

Read more...

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-44.98

---------------
linux (2.6.32-44.98) lucid-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1055438

  [ Dave Airlie ]

  * SAUCE: drm/vmwgfx: add MODULE_DEVICE_TABLE so vmwgfx loads at boot
    - LP: #1039157

  [ Upstream Kernel Changes ]

  * Revert "sfc: Fix maximum number of TSO segments and minimum TX queue
    size"
    - LP: #1037456
    - CVE-2012-3412
  * Revert "sfc: Replace some literal constants with
    EFX_PAGE_SIZE/EFX_BUF_SIZE"
    - LP: #1037456
    - CVE-2012-3412
  * Revert "tcp: Apply device TSO segment limit earlier"
    - LP: #1037456
    - CVE-2012-3412
  * Revert "tcp: do not scale TSO segment size with reordering degree"
    - LP: #1037456
    - CVE-2012-3412
  * Revert "net: Allow driver to limit number of GSO segments per skb"
    - LP: #1037456
    - CVE-2012-3412
  * cred: copy_process() should clear child->replacement_session_keyring
    - LP: #1023535
    - CVE-2012-2745
  * KVM: Change irq routing table to use gsi indexed array
    - LP: #1016298
    - CVE-2012-2137
  * KVM: Fix buffer overflow in kvm_set_irq()
    - LP: #1016298
    - CVE-2012-2137
  * xen: just completely disable XSAVE
    - LP: #1044550
  * xen: Allow PV-OPS kernel to detect whether XSAVE is supported
    - LP: #1044550
  * sfc: Fix maximum number of TSO segments and minimum TX queue size
    - LP: #1037456
    - CVE-2012-3412
 -- Tim Gardner <email address hidden> Thu, 06 Sep 2012 11:20:13 -0400

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released
Changed in linux (Debian):
status: New → Fix Committed
Whoopie (whoopie79) wrote :

Please find attached an updated patch for virtualbox 4.2.8.

Changed in linux (Debian):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.